# Authenticatie, invoer en resultaat

### Bereken de hypotheek voor een Nederlandse woning&#x20;

<mark style="color:$success;">**`POST`**</mark> `https://api.altum.ai/v1/mortgage-calculator`

#### Headers

<table><thead><tr><th width="258.1484375">Naam</th><th width="199.80078125">Type</th><th>Omschrijving</th></tr></thead><tbody><tr><td>x-api-key<mark style="color:red;">*</mark></td><td>string</td><td>Unieke API sleutel van Altum. Maak er één aan via Mopsus (https://mopsus.altum.ai)</td></tr><tr><td>Content-Type</td><td>string</td><td>application/json</td></tr></tbody></table>

#### Request Body

<table><thead><tr><th width="252.66796875">Naam</th><th width="199.78125">Type</th><th>Omschrijving</th></tr></thead><tbody><tr><td>postcode</td><td>string</td><td>Zes-cijferige postcode formaat</td></tr><tr><td>housenumber</td><td>number</td><td>Huisnummer van het object</td></tr><tr><td>houseaddition</td><td>string</td><td>Huisnummertoevoeging</td></tr><tr><td>gross_annual_income<mark style="color:red;">*</mark></td><td>number</td><td>Bruto jaarinkomen van de hoofdaanvrager (in €)</td></tr><tr><td>partner_gross_income</td><td>number</td><td>Bruto jaarinkomen van de partner (in €). Standaardwaarde is 0</td></tr><tr><td>applicant_type</td><td>string</td><td>"single" of "couple". Beïnvloedt de €17.000 bonus voor alleenstaanden. Standaardwaarde is "single"</td></tr><tr><td>existing_debts</td><td>number</td><td>Maandelijkse bestaande schulden (in €). Verlagen het leenbedrag. Standaardwaarde is 0</td></tr><tr><td>student_loan</td><td>number</td><td>Maandelijkse studieschuld (in €). Verlaagt het leenbedrag. Standaardwaarde is 0</td></tr><tr><td>interest_rate<mark style="color:red;">*</mark></td><td>number</td><td>Jaarlijkse rente als percentage (bijv. invoer 3,5 voor 3,5%)</td></tr><tr><td>mortgage_type<mark style="color:red;">*</mark></td><td>string</td><td>"annuïteiten" of "lineaire" hypotheek.</td></tr><tr><td>loan_term_years<mark style="color:red;">*</mark></td><td>number</td><td>Looptijd van de lening in jaren. Maximum is 30.</td></tr><tr><td>purchase_price</td><td>number</td><td>Aankoopprijs (in €). Wordt gebruikt als marktwaarde als er geen WOZ-waarde kan worden gevonden. Verplicht als er geen adres wordt meegegeven.</td></tr><tr><td>down_payment</td><td>number</td><td>Eigen middelen om de lening te verlagen (in €). <br>Standaardwaarde is 0</td></tr><tr><td>fixed_rate_period</td><td>number</td><td>Aantal jaren dat de rente vaststaat.</td></tr><tr><td>nhg_eligible</td><td>boolean</td><td>NHG van toepassing of niet? Indien niet opgegeven, wordt dit automatisch bepaald: ''true'' bij een aankoopprijs ≤ €470.000</td></tr><tr><td>first_time_buyer</td><td>boolean</td><td>''True'' als de hoofdaanvrager een starter is. Beïnvloedt de overdrachtsbelasting. Standaardwaarde is ''false''</td></tr><tr><td>applicant_age</td><td>number</td><td>Leeftijd van de hoofdaanvrager. Verplicht voor vrijstelling van overdrachtsbelasting voor starters.</td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK Succesvol response" %}

```json
{
	"postcode": "1234AB",
	"housenumber": "5",
	"houseaddition": null,
	"max_mortgage_amount": "180000.0",
	"max_mortgage_by_income": "197000.0",
	"principal": "180000.0",
	"monthly_payment_gross": "828.51",
	"monthly_payment_net": "620.05",
	"total_interest_paid": "118263.37",
	"total_costs": "304063.37",
	"transfer_tax": "3600.0",
	"transfer_tax_rate_used": "0.02",
	"affordability_ratio": "0.2486",
	"nhg_compliance": "True",
	"rate_used": "3.7",
	"loan_term_years": "30",
	"mortgage_type": "annuity",
	"single_bonus_applied": "17000.0",
	"debt_deduction_applied": "0.0",
	"data_enrichment_status": "fallback",
	"enrichment_data": {
		"found": "False",
		"woz_latest": null,
		"woz_latest_year": null
	},
	"warnings": [
		"Income allows a higher mortgage, but you are capped at the NHG limit of €450,000."
	],
	"metadata": {
		"nhg_price_limit": "470000",
		"nhg_cap": "450000",
		"income_multiplier": "4.5",
		"mortgage_interest_deduction_rate": "0.3756",
		"notary_cost": "1500",
		"appraisal_cost": "700",
		"market_value_source": "purchase_price",
		"market_value_used": "180000.0",
		"market_value_note": "purchase_price used — no WOZ found",
		"evaluation_date": "20260331"
	}
}
```

{% endtab %}

{% tab title="400: Bad Request" %}

```json
{
  "error": "Unable to process mortgage calculation at this time."
}
```

{% endtab %}

{% tab title="401: Unauthorized" %}

```json
{
  "output": "Please use https://api.altum.ai or visit https://mopsus.altum.ai to make your request."
}
```

{% endtab %}

{% tab title="403: Forbidden" %}

```json
{
  "message": "Forbidden"
}
```

{% endtab %}

{% tab title="500: Internal Server Error Service is not available and/or down" %}

```json
{
  "message": "Internal server error"
}
```

{% endtab %}

{% tab title="422: Unprocessable Entity" %}

```json
{
  "detail": [
    {
      "type": "value_error",
      "msg": "applicant_type must be \"single\" or \"couple\"."
    }
  ]
}
```

{% endtab %}
{% endtabs %}

### Request body

#### Voorbeeld verzoek

```json
{
  "postcode": "9636AA",
  "housenumber": 5,
  "gross_annual_income": 65000,
  "interest_rate": 3.5,
  "mortgage_type": "annuity",
  "loan_term_years": 30
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altum.ai/financieren/hypotheekberekening-api/authenticatie-invoer-en-resultaat.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
